/* === Globales === */

body {
    height: 100vh;
    background-color: white;
    font-size: 16px;
    line-height: 24px;
    color: #070707;
    font-family: 'Figtree', Helvetica, Arial, sans-serif;
}

.grey {
    color: grey;
}

main {
    padding: 2rem;
}


/* === Typo === */

h1 {
    font-size: 3.5rem;
}

h2 {
    font-size: 2.0rem;
    line-height: 2.4rem;
    letter-spacing: 0.2px;
}

h3 {
    font-size: 1.25rem;
}

.smaller {
    font-size: 1rem;
}

h4 {
    font-size: 1.25rem;
}

h5 {
    font-size: 1.25rem;
}

h6 {
    font-size: 1.15rem;
    margin: 0;
}

p {
    font-size: 1rem;
    line-height: 1.5rem;
}

a {
    color: inherit;
}

.first-margin-bottom {
    margin-bottom: 1rem;
}

.first-margin-top {
    margin-top: 0;
}

a:hover {
    color: grey;
    transition: all ease-in 0.3s;
}

.text-light {
    font-weight: 200;
    line-height: 1.35;
}

.text-normal {
    font-weight: 400;
}

.text-bold {
    font-weight: 700;
}

header.home h1 {
    font-size: 2rem;
    padding: 1rem 0;
    transform: scale(0.94);
    animation: scale 3s forwards cubic-bezier(0.5, 1, 0.89, 1);
    line-height: 42px;
}


/* === Animation h1 === */

@keyframes scale {
    100% {
        transform: scale(1);
    }
}

span {
    display: inline-block;
    opacity: 0;
    filter: blur(4px);
}

span:nth-child(1) {
    animation: fade-in 0.8s 0.1s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(2) {
    animation: fade-in 0.8s 0.2s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(3) {
    animation: fade-in 0.8s 0.3s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(4) {
    animation: fade-in 0.8s 0.4s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(5) {
    animation: fade-in 0.8s 0.5s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(6) {
    animation: fade-in 0.8s 0.6s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(7) {
    animation: fade-in 0.8s 0.7s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(8) {
    animation: fade-in 0.8s 0.8s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(9) {
    animation: fade-in 0.8s 0.9s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(10) {
    animation: fade-in 0.8s 1s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(11) {
    animation: fade-in 0.8s 1.1s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(12) {
    animation: fade-in 0.8s 1.2s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(13) {
    animation: fade-in 0.8s 1.3s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(14) {
    animation: fade-in 0.8s 1.4s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(15) {
    animation: fade-in 0.8s 1.5s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(16) {
    animation: fade-in 0.8s 1.6s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(17) {
    animation: fade-in 0.8s 1.7s forwards cubic-bezier(0.11, 0, 0.5, 0);
}

span:nth-child(18) {
    animation: fade-in 0.8s 1.8s forwards cubic-bezier(0.11, 0, 0.5, 0);
}



@keyframes fade-in {
    100% {
        opacity: 1;
        filter: blur(0);
    }
}


/* === Layout == */

.section-without-border {
    border-top-style: solid;
    border-top-width: 0px;
}

.section {
    border-top-style: solid;
    border-top-width: 1px;
}

header+.section {
    margin-top: 3rem;
}


.subsection {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.subsection h3 {
    width: 100%;
}

.subsection .left-section {
    width: 100%;
}

ul {
    margin: 0;
    padding: 0;
}

.image {
    margin-top: 0.5rem;
    margin-bottom: 1rem;
    object-fit: cover;
    width: 100%;
    height: auto;
    animation: fadeInRight 1s ease-in-out;
}

@keyframes fadeInRight {
    from {
        opacity: 0;
        transform: translateX(300px);
    }
    to {
        opacity: 1;
    }
}

.subsection-content p {
    margin: 0;
    padding: 0;
}

.lists .subsection-content ul, .subsection h3, header.home h1 {
    margin-top: 0;
    margin-bottom: 0;
    list-style-type: none;
}

.full-width {
    position: relative;
    max-width: 100%;
    width: 100%;
}

.full-width img {
    max-width: 100%;
    object-fit: cover;
}


@media screen and (min-width: 768px) {
    .image {
        max-width: 300px;
        height: 420px;
    }

    header.home h1 {
        font-size:3.25rem;
        letter-spacing:0.05rem;
        line-height:1.05;
        font-weight: 800;
        margin: 1rem 0;
    }

    header+.section {
        margin-top: 4rem;
    }

    .subsection {
        display: flex;
    }

    .subsection .subsection-content, .subsection h3 {
        width: 50%;
    }

    .subsection .left-section {
        width: 50%;
    }

    .subsection .subsection-content {
        padding-left: 0;
    }
}


@media screen and (min-width: 1024px) {
    .full-width img {
        max-width: 100%;
        width: 100%;
    }

    .image {
        width: auto;
        height: 410px;
    }

    header+.section {
        margin-top: 8rem;
    }


    .first-margin-bottom {
        margin-bottom: 0.5rem;
    }

    header.home h1 {
        font-size:4rem;
        letter-spacing:0.05rem;
        line-height:1.05;
        font-weight: 800;
        margin: 1.5rem 0;
    }

    .subsection .subsection-content {
        width: 66.6666666667%;
    }

    .subsection {
        margin-top: 1rem;
    }
    .subsection h3 {
        width: 33.3333333333%;
    }

    .subsection .left-section {
        width: 33.3333333333%;
    }
}